﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace GridCellColorizer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        GridCellColorizer gridCellColorizer;

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = DummyDataCreator.GetData(10);
            this.gridCellColorizer = new GridCellColorizer(this.ultraGrid1);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int rowIndex = DummyDataCreator.RandomInt(0, this.ultraGrid1.Rows.Count - 1);
            int columnIndex = DummyDataCreator.RandomInt(0, this.ultraGrid1.DisplayLayout.Bands[0].Columns.Count - 1);
            UltraGridCell cell = this.ultraGrid1.Rows[rowIndex].Cells[columnIndex];
            this.gridCellColorizer.AddCell(cell, Color.Red, 2000);
            
        }
    }
}
